from SyntaxDesc import *
import Register
def Syntax():
	return SyntaxDesc(
		Regex(gStyleComment,'#.*'),
		Regex(gStyleStructKeyword, "^include\>"),
		Regex(gStyleVariable,'\([A-Za-z0-9_]+\)[\t ]*=',1),
		Regex(gStyleMethodImpl,'^[^\t \n"`][^:\n"`=]*:+'),
		Regex(gStyleString,'"[^"]*"'),
		Regex(gStyleClass,'`[^`]+`'),
	)

Register.RegisterSyntax(Syntax,"Make","Make Support")
